## metview 4.5.7

=== debian/changelog ===
metview (4.5.7-2) unstable; urgency=medium

  * Set DISABLE_OS_CHECK=On (new feature) for Hurd, kFreeBSD builds.
  * Acknowledge new upstream fixes FTBFS. Closes: #803073. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2015 13:52:58 +0000

metview (4.5.7-1) unstable; urgency=medium

  * New upstream release. 
   - Qt5 now merged upstream. Closes: #784497.
  * Add patch to make build reproducible - fix dates in MvVersionDetails
  * Depend on emoslib (>= 2:4.1.1-2) for cmake build scripts

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 20:01:18 +0100

metview (4.5.6-6) unstable; urgency=medium

  * Build against magics++ (>= 2.24.7-7) for its g++5 transition. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Sep 2015 08:59:09 +0100
